Subject: [Doh] New draft, seeking comments in DNSOP: draft-sah-resolver-information

From: Paul Hoffman <[email-masked]>
Date: Tue, 30 Apr 2019 21:00:45 +0000

Greetings again. Puneet, Roy and I have just published a -00 with an idea for how to get information about a recursive resolver from the resolver, if it wants to give that information. This is an outgrowth of my earlier work in the DOH WG on draft-ietf-doh-resolver-associated-doh. The discussion on that latter draft in Prague had a couple of people saying "this should be more general than just DoH" and "what about DoT", which sparked the idea for draft-sah-resolver-information.

We have started the discussion in DNSOP because the draft covers much more than DoH. If DNSOP folks think that the idea has legs, I would ask the DOH WG to drop discussion of draft-ietf-doh-resolver-associated-doh in favor of the new draft. If not, I'll keep working on draft-ietf-doh-resolver-associated-doh here.

--Paul Hoffman